TAAS - Feature #19

Account Grouping
08/18/2022 02:23 PM - Anil KV

Status: Reopen Bugs Testing Done Start date: 08/18/2022
Priority: Normal Due date: 08/20/2022
Assignee: Vivekp V % Done: 90%
Category: Estimated time: 16:00 hours
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): 12.00 Code Reviewed By:

Module: Account Grouping

Description

Coding Account Grouping

>Add status

List

> Columns - Grouping Type, Name, Account Category, Status, (Edit icon)

History

#1 - 08/18/2022 02:27 PM - Anil KV
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#2 - 08/18/2022 02:28 PM - Anil KV

- Module changed from Account Code Settings to Account Grouping

#3 - 08/18/2022 02:52 PM - Anil KV

public IstAccountGroupingTypes: any[] = [{ "intld": 0, "strLabel": "Category", "bInDisable": false, "bInActive": true, "strRemarks": "},  {"intld": 1,
"strLabel": "Group", "bInDisable": false, "bInActive": false, "strRemarks": "},  { "intld": 2, "strLabel": "Type", "bInDisable": false, "bInActive": false,
"strRemarks": "}, {"intld": 3, "strLabel": "Family", "bInDisable": false, "bInActive": false, "strRemarks": "" }];

In account-data.service.ts

#4 - 08/19/2022 05:36 PM - Anonymous
- Time Taken(HH) set to 12.00

#5 - 08/22/2022 11:43 AM - Anil KV
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#6 - 08/24/2022 01:51 PM - Shanto Shaji
- Status changed from Coding Done to Testing Started

#7 - 08/24/2022 02:23 PM - Shanto Shaji

- Status changed from Testing Started to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Shanto Shaji

- Code Reviewed By set to Shanto Shayji
1.Change Grid Heading to Account Grouping List

2.Remove Unwanted Div From Html File( There is a Extra Column)
3.Remove all Unwanted Console Logs From All Files

4 .Remove All Check List From All Files

#8 - 08/30/2022 07:23 PM - Anil KV
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#9 - 06/13/2023 05:07 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

GUI Change:-

1. Show Grid As Grouped by group.

2. Add all check box columns to grid as column
3. Add remarks as column but hide.

#10 - 07/08/2023 05:37 PM - unnikannan S
- Assignee changed from Jinu KT to Junaid M

- Tested By changed from Shanto Shaji to unnikannan S

ISSUE FOUNDED

1.ADD MANDATORY FIELD IN GROUPING TYPE
2.CHECK BOX NOT WORKING

#11 - 09/26/2023 01:30 PM - Junaid M
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#12 - 10/07/2023 11:11 AM - unnikannan S
TESTING DONE

#13 - 10/30/2023 03:21 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

***GUI CHANGES
1-Add Grouping in grid (Group by 'Grouping Type')
2-Re-Arrange columns as Name|Roles|Status

#14 - 10/30/2023 04:17 PM - Anil KV

- Assignee changed from Junaid M to Shahil Haris

#15 - 10/31/2023 12:05 PM - Shahil Haris
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#16 - 01/31/2024 12:43 PM - Junaid M
- Assignee changed from Shahil Haris to Vivekp V

#17 - 02/20/2024 11:48 AM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

GUI CHANGE

-> Add 'Assets' Checkboxes
#18 - 02/22/2024 01:23 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

GUI Changes done

#19 - 02/29/2024 01:30 PM - Vivekp V
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

#20 - 02/29/2024 04:38 PM - unnikannan S

- Status changed from New Changes to Reopen Bugs

ISSUE FOUNDED

1.MISSING GROUPING LABEL IN GROUP WISE DATA SHOWING UI LISTS

2.RED STAR IN STATUS FIELD

3.STATUS SELECT BOX POSITION BENEATH REMARKS TEXT AREA

#21 - 03/01/2024 12:18 PM - Junaid M
GUI CHANGES

1) Remove All Checkbox then Add 3 MultiSelect box
Dataservice —>

Chart Of Account

—— Assets

-— Liabilty

—— Income

—— Expense

Personal Account
—— Customer
—— Supplier
—-— Employee
——Commission Agent

Other
—— Bank
—-— Profile

—— Sub Ledger
—— Assets

#22 - 03/01/2024 12:22 PM - Vivekp V

- Status changed from Reopen Bugs to New Changes

ISSUE FIXED

1.MISSING GROUPING LABEL IN GROUP WISE DATA SHOWING UI LISTS

2.RED STAR IN STATUS FIELD

3.STATUS SELECT BOX POSITION BENEATH REMARKS TEXT AREA

#23 - 03/11/2024 10:58 AM - Vivekp V
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

new changes coding done

#24 - 03/15/2024 11:24 AM - unnikannan S
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50
ISSUE FOUNDED

1.SAVED DATA MISSING ON RELOAD

#25 - 03/15/2024 02:17 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

function needed to be added to old databases, new databases already has function

#26 - 04/24/2024 10:42 AM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

- Code Reviewed By deleted (Shanto Shaji)

ISSUE FOUNDED

1.Block Updation Of Clearing All Selected Module In Case The Grouping Is Saved In Set Agent Commission

#27 - 05/09/2024 06:58 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

ISSUE FIXED

1.Block Updation Of Clearing All Selected Module In Case The Grouping Is Saved In Set Agent Commission

#28 - 10/21/2024 05:23 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Add an expand/collapse icon in the grid.

#29 - 10/21/2024 06:58 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

ISSUE FIXED

1. Add an expand/collapse icon in the grid.

#30 - 11/19/2024 07:48 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

Files

2-tsModel.ts 1.18 KB 08/18/2022 Anil KV
1-CsModel.cs 1.67 KB 08/18/2022 Anil KV
3-CsFile.cs 14.2 KB 08/18/2022 Anil KV
4-CsControllerFile.cs 24.6 KB 08/18/2022 Anil KV
5-TsFile.ts 13.6 KB 08/18/2022 Anil KV
6-HtmiFile.html 1.92 KB 08/18/2022 Anil KV
sql.sql 14.3 KB 08/18/2022 Anil KV
